program euler
implicit none
real :: x,y,f,x1,y1
real, parameter:: x0=-3.0, y0=5.0, h=0.1, xend=3.0

f(x,y)=y - x**2

x=x0; y=y0
do while(x<xend)
   x1=x+h
   y1=y+h*f(x,y)
   write(*,*) x1,y1
   x=x1
   y=y1
   end do

end program euler
